## kodi-vfs-rar-2.2.3.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vfs.rar)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${TINYXML_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/lib/UnrarXLib)

add_subdirectory(lib/UnrarXLib)

set(RAR_SOURCES src/RarControl.cpp
                src/RarFile.cpp
                src/RarExtractThread.cpp
                src/RarManager.cpp
                src/RarPassword.cpp)

set(RAR_HEADERS src/Helpers.h
                src/RarControl.h
                src/RarExtractThread.h
                src/RarManager.h
                src/RarPassword.h)

add_definitions(-D_LARGEFILE64_SOURCE
                -D_FILE_OFFSET_BITS=64
                -D__STDC_FORMAT_MACROS
                -D_CRT_NONSTDC_NO_DEPRECATE
                -DRARDLL
                -DSILENT)

set(DEPLIBS unrarxlib ${TINYXML_LIBRARIES})

build_addon(vfs.rar RAR DEPLIBS)

include(CPack)

=== debian/control ===
Source: kodi-vfs-rar
Priority: extra
Maintainer: Nobody <nobody@kodi.tv>
Build-Depends: debhelper (>= 9.0.0), cmake,
               kodi-addon-dev, libtinyxml-dev
Standards-Version: 4.1.2
Section: libs

Package: kodi-vfs-rar
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RAR VFS for Kodi
 RAR VFS for Kodi

Package: kodi-vfs-rar-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debug symbols for RAR VFS for Kodi
 debug symbols for RAR VFS for Kodi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1

override_dh_strip:
	dh_strip -pkodi-vfs-rar --dbg-package=kodi-vfs-rar-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-vfs-rar
